-- Script to create an example database
------------------------------------

DROP TABLE RESOURCES;

create table resources ( 
  locale            varchar(10)      not null,
  msgKey            varchar(255)     not null,
  val               varchar(255),
  Primary Key(
    locale,
    msgKey
  )
);

Insert into resources (locale, msgKey, val) Values ('', 'test.base', '[Base] ONLY');
Insert into resources (locale, msgKey, val) Values ('', 'test.specific', '[Base] SPECIFIC');
Insert into resources (locale, msgKey, val) Values ('', 'test.inherit', '[Base] INHERIT');
Insert into resources (locale, msgKey, val) Values ('', 'test.message', '[Base] REPLACE {0} WITH {1}');

Insert into resources (locale, msgKey, val) Values ('en', 'test.specific', '[en] SPECIFIC');
Insert into resources (locale, msgKey, val) Values ('en', 'test.inherit', '[en] INHERIT');

Insert into resources (locale, msgKey, val) Values ('en_US', 'test.specific', '[en_US] SPECIFIC');

Insert into resources (locale, msgKey, val) Values ('fr', 'test.specific', '[fr] SPECIFIC');
Insert into resources (locale, msgKey, val) Values ('fr', 'test.inherit', '[fr] INHERIT');

